com.mockobjects.util

## Class Verifier

- java.lang.Object
- - com.mockobjects.util.Verifier

    public class Verifier
    extends java.lang.Object

Helper class to verify all `Expectation`s of an object. The `Verifier` class provides two static methods to verify objects:

- `verifyObject(Object)`
- `verifyField(Field, Object)`

These two methods can be used to verify any expectation to assert that they still hold.

Example usage:

Verifying all expectations on one object at a time:

     public class MockX implements Verifiable {
        private Expectation... anExpectation = new Expectation...(...);
        private Expectation... aSecondExpectation = new Expectation...(...);

        public void verify() {
           Verifier.verifyObject(this);
        }
     }

This example shows how most mocks implement `Verifiable`, i.e.: by delegation.

Version:
  $Id: Verifier.java,v 1.5 2002/09/29 16:44:28 smgf Exp $
See Also:
  `Expectation`, `Verifiable`

### Constructor Summary

Constructors
Constructor and Description
`Verifier()`

### Method Summary

Methods
`static void` `verifyObject(java.lang.Object anObject)` Verifies all the fields of type Verifiable in the given object, including those inherited from superclasses.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Verifier

    public Verifier()

### Method Detail

#### verifyObject

    public static void verifyObject(java.lang.Object anObject)

Verifies all the fields of type Verifiable in the given object, including those inherited from superclasses.

Parameters:
  `anObject` - The object to be verified.